#
# spec file for package obs-api-deps
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           obs-api-deps
Summary:        The Open Build Service -- Gem dependencies
License:        MIT
Group:          Productivity/Networking/Web/Utilities
Version:        2.9.6
Release:        11%{?dist}.1
Url:            http://en.opensuse.org/Build_Service
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        https://github.com/openSUSE/open-build-service/archive/%{version}/open-build-service-%{version}.tar.gz
Source1:        find-requires.sh
Patch1:         obs-server-2.9-0001-api-Use-bundler_ext-instead-of-bundler-if-Gemfile.in.patch
Patch2:         obs-server-2.9-0002-api-Require-json-gem-explicitly-for-tests.patch
Patch3:         obs-server-2.9-0003-api-Log-server-name-to-test-log-for-backend-log-mess.patch
Patch4:         obs-server-2.9-0004-api-Use-OBS_API_PREFIX-instead-of-explicit-pathname-.patch
Patch5:         obs-server-2.9-0005-backend-Make-OBS_BACKEND_DATA_DIR-variable-configura.patch
Patch6:         obs-server-2.9-0006-dist-Set-proper-Apache-user-group-when-installing-sc.patch
Patch7:         obs-server-2.9-0007-backend-Set-proper-pathnames-when-installing-backend.patch
Patch8:         obs-server-2.9-0008-dist-Set-proper-pathnames-when-installing-dist-files.patch
Patch9:         obs-server-2.9-0009-dist-Use-configuration-variables-instead-of-hardcode.patch
Patch10:        obs-server-2.9-0010-api-Use-absolute-pathnames-for-apidocs-in-config-env.patch
Patch11:        obs-server-2.9-0011-dist-Make-fillup-file-location-and-name-configurable.patch
Patch12:        obs-server-2.9-0012-dist-Make-obs-devel-doc-location-configutrable.patch
Patch13:        obs-server-2.9-0013-backend-Fix-cleanup-in-BSSched-EventSource-Directory.patch
Patch14:        obs-server-2.9-0014-api-Autodetect-mysqld-and-memcached-pathname-for-api.patch
Patch15:        obs-server-2.9-0015-api-Specify-mysqld-pidfile-explicitly-for-api-test.patch
Patch16:        obs-server-2.9-0016-webui-Wait-for-flash-message-to-appear-in-webui-test.patch
Patch17:        obs-server-2.9-0017-dist-Make-tests-respect-INITDDIR-and-SBINDIR-configu.patch
Patch18:        obs-server-2.9-0018-dist-api-backend-Make-backend-ports-configurable.patch
Patch19:        obs-server-2.9-0019-dist-backend-Make-backend-log-directory-configurable.patch
Patch20:        obs-server-2.9-0020-api-Make-api-log-directory-configurable.patch
Patch21:        obs-server-2.9-0021-dist-Allow-worker-to-use-tmpfs-for-other-virtualisat.patch
Patch22:        obs-server-2.9-0022-ci-Fix-compatibility-with-Ruby-2.3-in-webui-helper-t.patch
Patch23:        obs-server-2.9-0023-Revert-ci-Downgrade-Airbrake-ruby-to-solve-Errbit-bu.patch
Patch24:        obs-server-2.9-0024-frontend-Require-less-specific-version-of-rspec-rail.patch
Patch25:        obs-server-2.9-0025-ci-Nomalise-schema-files-more-before-comparing-them.patch
Patch26:        obs-server-2.9-0026-api-Convert-tables-created-without-default-charset-t.patch
Patch27:        obs-server-2.9-0027-dist-Use-python2-instead-of-python-as-interpreter.patch
Patch28:        obs-server-2.9-0028-frontend-Require-mini_mime-gem-explicitly.patch
Patch29:        obs-server-2.9-0029-frontend-Require-minimal-version-of-sanitize-webmock.patch
Patch30:        obs-server-2.9-0030-backend-Make-chekconstraints-in-repserver-not-fail-o.patch
Patch31:        obs-server-2.9-0031-ci-Make-test-backend-crash-more-prominent.patch
Patch32:        obs-server-2.9-0032-ci-Actually-wait-for-scheduler-when-test-backend-is-.patch
Patch33:        obs-server-2.9-0033-frontend-Drop-halt_callback_chains_on_return_false.patch
Patch34:        obs-server-2.9-0034-Update-data_migrate-to-version-5.2.0.patch
Patch35:        obs-server-2.9-0035-frontend-Rails-5.2-Add-a-primary-key-to-data-migrati.patch
Patch36:        obs-server-2.9-0036-webui-ci-Configure-Capybara-with-webrick.patch
Patch37:        obs-server-2.9-0037-webui-ci-Adapt-tests-to-update-Capybara.patch
Patch38:        obs-server-2.9-0038-ci-Make-feature-test-more-flexible.patch
Patch39:        obs-server-2.9-0039-ci-Add-rspec-retry.patch
Patch40:        obs-server-2.9-0040-backend-Support-new-VM-types-without-modifying-worke.patch
Patch41:        obs-server-2.9-0041-ci-Make-validator-unit-test-more-flexible.patch
Patch42:        obs-server-2.9-0042-frontend-Properly-remove-annotate-gem.patch
Patch43:        obs-server-2.9-0043-api-fix-build-for-mariadb-10.4.patch
Patch44:        obs-server-2.9-0044-frontend-Require-some-dependencies-explicitly.patch
Patch45:        obs-server-2.9-0045-backend-support-newer-gpg-2.1.patch
Patch46:        obs-server-2.9-0046-backend-bs_dodup-support-xz-compressed-Packages-file.patch
Patch47:        obs-server-2.9-0047-backend-createrelease_debian-use-utc-instead-of-loca.patch
Patch101:       obs-server-2.9-0101-frontend-Update-OBS-to-Rails-version-5.2.patch
Patch102:       obs-server-2.9-0102-frontend-Rails-5.2-Add-a-prefix-to-kiwi-preference-e.patch
Patch103:       obs-server-2.9-0103-frontend-Rails-5.2-Fix-checking-if-data-migration-wa.patch
Patch104:       obs-server-2.9-0104-frontend-Rails-5.2-Update-database-rake-task.patch
Patch105:       obs-server-2.9-0105-frontend-Rails-5.2-Update-callback-in-bs-request-mod.patch
Patch106:       obs-server-2.9-0106-Fix-rails-5.2.2-incompability.patch
BuildRequires:  ruby(release)
BuildRequires:  ruby >= 2.2.0
BuildRequires:  rubygem(bundler)
%if 0%{?suse_version} < 1210
BuildRequires:  xz
%endif

%global debug_package   %{nil}
%if 0%{?fedora} < 29
%define patches_to_apply %(a=(%{patches}); echo ${a[@]:0:((${#a[@]}-6))})
%else
%define patches_to_apply %{patches}
%endif

%description
This package serves one purpose only: to list the dependencies in Gemfile.lock

%package -n obs-api-testsuite-deps
Summary:        The Open Build Service -- The Testsuite dependencies
Group:          Productivity/Networking/Web/Utilities
BuildArch:      noarch
# dependencies not needed in production
Requires:       %(bash %{S:1} %{S:0} '' %{patches_to_apply})

Requires:       perl(BSSolv) >= 0.07
# Required by source server
Requires:       createrepo
Requires:       diffutils
Requires:       git-core
Requires:       patch

# needed for api test suite
%if 0%{?suse_version} > 1210
Requires:       libxml2-tools
%else
Requires:       libxml2
%endif

Recommends:     yum yum-metadata-parser repoview dpkg
Recommends:     deb >= 1.5
Recommends:     lvm2
Recommends:     openslp-server
Recommends:     obs-signd
Recommends:     inst-source-utils
Requires:       perl-Compress-Zlib
Requires:       perl-File-Sync >= 0.10
Requires:       perl-JSON-XS
Requires:       perl-Net-SSLeay
Requires:       perl-Socket-MsgHdr
Requires:       perl-XML-Parser
Requires:       perl-XML-Simple
Requires:       perl(GD)
Requires:       sphinx >= 2.1.8

%description -n obs-api-testsuite-deps
This is the API server instance, and the web client for the 
OBS.

%prep
%setup -c -T -n %{name}-%{version}
echo > README <<EOF
This is just a meta package with requires
EOF

%build

%install

# main package is .src.rpm only

%files -n obs-api-testsuite-deps
%defattr(-,root,root)
%doc README

%changelog
* Thu May 13 2021 Oleg Girko <ol@infoserver.lv> - 2.9.6
- Make revert of migration to convert tables to UTF-8 a no-op
* Tue Aug 18 2020 Oleg Girko <ol@infoserver.lv> - 2.9.6
- Add patch to use UTC instead of local time to create Debian repo
* Tue Aug  4 2020 Oleg Girko <ol@infoserver.lv> - 2.9.6
- Add patch to support newer gpg
- Add patch to support xz compressed Packages files
* Sun Jun 28 2020 Oleg Girko <ol@infoserver.lv> - 2.9.6
- Add patch to require some dependencies explicitly
* Mon Apr 27 2020 Oleg Girko <ol@infoserver.lv> - 2.9.6
- Add patch to fix build for MariaDB 10.4
* Sun Apr 26 2020 Oleg Girko <ol@infoserver.lv> - 2.9.6
- Add patch to remove annotate gem
* Tue Feb 11 2020 Oleg Girko <ol@infoserver.lv> - 2.9.6
- Add patch to support new VM types without modifying worker code
- Add patch to make validator unit test more flexible
* Thu Apr 18 2019 Oleg Girko <ol@infoserver.lv> - 2.9.6
- Don't require yum and yum-metadata-parser
* Thu Apr 18 2019 Oleg Girko <ol@infoserver.lv> - 2.9.6
- Add patch to fix Rails 5.2.2 incompatibility
* Thu Apr 11 2019 Oleg Girko <ol@infoserver.lv> - 2.9.6
- Update to 2.9.6
* Tue Nov 20 2018 Oleg Girko <ol@infoserver.lv> - 2.9.5
- Apply right patches to update Rails to version 5.2 for Fedora >= 29
- Add patch to drop halt_callback_chains_on_return_false
- Add patch to update data_migrate gem to 5.2.0
- Add patches to allow capybara version 3.1.0
- Add patch to retry tests with rspec-retry
* Tue Nov 20 2018 Oleg Girko <ol@infoserver.lv> - 2.9.5
- Add patches to update Rails to version 5.2, but only for Fedora >= 29
* Mon Nov 19 2018 Oleg Girko <ol@infoserver.lv> - 2.9.5
- Update to 2.9.5
* Tue Oct 30 2018 Oleg Girko <ol@infoserver.lv> - 2.9.4
- Fix interpreter name in some scripts
- Fix SELinux policy to allow Apache HTTPD to access repos
- Fix database migration in postinstall scriptlet
* Sun Oct 14 2018 Oleg Girko <ol@infoserver.lv> - 2.9.4
- Update to 2.9.4
- Use rich dependencies for required Ruby gems
* Thu Mar  8 2018 Oleg Girko <ol@infoserver.lv> - 2.8.4
- Update to 2.8.4
* Sun Feb 18 2018 Oleg Girko <ol@infoserver.lv> - 2.8.3
- Add patch to fix rich dependencies in DoD repos
* Tue Jan 16 2018 Oleg Girko <ol@infoserver.lv> - 2.8.3
- Add patch to fix Perl syntax in bs_productconvert
- Add patches to update Rails to version 5.1, but only for Fedora >= 27
* Mon Dec 25 2017 Oleg Girko <ol@infoserver.lv> - 2.8.3
- Update to 2.8.3
- Remove patch reverting update Rails to 5.0.1, dropping Fedora 25 support
* Fri Oct  6 2017 Oleg Girko <ol@infoserver.lv> - 2.8.0
- Add patch to require less specific version of rubygem-rspec-rails
* Wed Jul 19 2017 Oleg Girko <ol@infoserver.lv> - 2.8.0
- Define SELinux context for Rails app tmp subdir
* Wed Jul 19 2017 Oleg Girko <ol@infoserver.lv> - 2.8.0
- Fix patch adding support for bundler_ext
* Fri Jul 14 2017 Oleg Girko <ol@infoserver.lv> - 2.8.0
- Update to 2.8.0
* Fri Mar 24 2017 Oleg Girko <ol@infoserver.lv> - 2.7.1
- Add patch to remove module that caused problems with newer codemirror
* Wed Mar 22 2017 Oleg Girko <ol@infoserver.lv> - 2.7.1
- Require perl(Test::Harness) for build because it provides prove utility
* Wed Aug 31 2016 Oleg Girko <ol@infoserver.lv> - 2.7.1
- Add patch allowing worker to use tmpfs for other virtualisation methods
* Tue Aug 30 2016 Oleg Girko <ol@infoserver.lv> - 2.7.1
- Update patches
* Sat Aug 20 2016 Oleg Girko <ol@infoserver.lv> - 2.7.1
- Update to 2.7.1
- Don't overwrite log files when starting backend services
- Add some patches from 2.7 branch that were added after 2.7.1 release
* Sat Aug  6 2016 Oleg Girko <ol@infoserver.lv> - 2.7.0
- Use C.UTF-8 locale for tests: Fedora 24 has no locales in buildroot
* Wed Jul 20 2016 Oleg Girko <ol@infoserver.lv> - 2.7.0
- Update to 2.7.0
- Find requires automatically using find-requires.sh script
- Find build requires using obs-api-testsuite-deps package
- Run database migrations in obs-api postinstall script
* Sun Dec  6 2015 Oleg Girko <ol@infoserver.lv> - 2.6.7
- Update to 2.6.7
- Update update-sources.sh to not create tarball
- Change Source header in specfile to full URL
* Thu Nov 12 2015 Oleg Girko <ol@infoserver.lv> - 2.6.6
- Fix symlink to API docs
* Thu Nov  5 2015 Oleg Girko <ol@infoserver.lv> - 2.6.6
- Require lower perl-BSSolv version available in Fedora
* Fri Oct 30 2015 Oleg Girko <ol@infoserver.lv> - 2.6.6
- Add patch to set User.current in webui correctly
* Fri Oct 23 2015 Oleg Girko <ol@infoserver.lv> - 2.6.6
- Add patches to build with newer Ruby and Rails
- Update update-sources.sh to work with multiple spec files
* Thu Oct 22 2015 Oleg Girko <ol@infoserver.lv> - 2.6.6
- Update to 2.6.6
- Add patches to build with newer Capybara and PhantomJS
* Sat Apr 25 2015 Oleg Girko <ol@infoserver.lv> - 2.6.2
- Update to 2.6.2
* Tue Mar 31 2015 Oleg Girko <ol@infoserver.lv> - 2.6.1
- Set context of obs-api log files to have passenger_log_t type
* Tue Mar 17 2015 Oleg Girko <ol@infoserver.lv> - 2.6.1
- Add patch to support Docker build
* Fri Mar 13 2015 Oleg Girko <ol@infoserver.lv> - 2.6.1
- Update to 2.6.1
* Mon Mar  9 2015 Oleg Girko <ol@infoserver.lv> - 2.6.0
- Fix patch for non-root server directory hosting again
* Thu Mar  5 2015 Oleg Girko <ol@infoserver.lv> - 2.6.0
- Fix patch for non-root server directory hosting
- Add patch to fix LXC build
* Sat Feb 28 2015 Oleg Girko <ol@infoserver.lv> - 2.6.0
- Fix usernames in logrotate files
* Tue Feb 17 2015 Oleg Girko <ol@infoserver.lv> - 2.6.0
- Update to 2.6.0
* Mon Jul 14 2014 Oleg Girko <ol@infoserver.lv> - 2.5.4
- Make obs-api obsolete obs-webui
* Mon Jul 14 2014 Oleg Girko <ol@infoserver.lv> - 2.5.4
- Update to 2.5.4
* Sun Jul 13 2014 Oleg Girko <ol@infoserver.lv> - 2.5.3
- Require json gem explicitly for tests
- Kill memcached after tests in cleanup function only
* Sat Jul 12 2014 Oleg Girko <ol@infoserver.lv> - 2.5.3
- Fix relative URL root for assets precompiling
* Fri May 23 2014 Oleg Girko <ol@infoserver.lv> - 2.5.3
- Split off notification plugins into separate packages
* Fri May 23 2014 Oleg Girko <ol@infoserver.lv> - 2.5.3
- Fix patch for non-root server directory hosting
* Fri May 23 2014 Oleg Girko <ol@infoserver.lv> - 2.5.3
- Add simple SELinux policy
* Thu May 22 2014 Oleg Girko <ol@infoserver.lv> - 2.5.3
- Update to 2.5.3
* Sun May 18 2014 Oleg Girko <ol@infoserver.lv> - 2.5.2
- Initial port of OBS server 2.5.2 to Fedora 20
